QGIS Application - Bug report #14080

'Georeferencer' plugin doesn't support clipboard (paste) functionality when using mac's ‘pbcopy’

terminal command
2016-01-09 01:28 PM - David Douglas

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:2.12.1
Operating System: OSX
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 22090

Description

Was referred to here from a gis.stackexchange.com question | asked. Here's the gist of the question. Makes for a good bug report.

| recently wrote a little helper script for georeferencing that used mac's pbcopy shell command to dump some text into my clipboard for
use in the QGis program. For some reason I'm not able to paste stuff (longitude & latitude) that has been pbcopy'd into my clipboard into
the Geoferencer plugin on qgis. | recently discovered that | can paste the text into other elements of the native qgis program, but not the
plugin. The text can similarly be pasted into any other program.

So | think this has something to do with the way the Georeferencer plugin was written in Python, what with its somewhat unique at times

deep bindings into the low levels of the operating system. Maybe some python devs could assist here. Thanks!

History

#1 - 2016-01-12 02:33 PM - Giovanni Manghi
- Status changed from Open to Feedback

paste where? Does it happens only on OsX? (note: the georef plugin is in c++ not python). Cheers!

#2 - 2016-05-23 05:22 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
